<template>
  <footer
    id="skm-footer"
    :class="themeClasses"
    class="flex flex-column align-items-center justify-content-center text-center"
  >
    <div class="locale-menu-mb d-md-none" :class="themeClasses">
      <a
        :class="{ 'is-active': locale === l }"
        @click="locale = l"
        v-for="(l, index) in locales"
        :key="index"
        >{{ $t(`nav.languages.mb.${l}`) }}</a
      >
    </div>
    <a href="/" class="logo skm-icons-logo" :class="themeClasses"></a>
    <div class="copyright" :class="themeClasses">
      © Copyright {{ year }}<br />SHIN KONG MITSUKOSHI.
    </div>
  </footer>
</template>

<script>
import moment from "moment";
import { mapGetters } from "vuex";
import { changeLocale } from "@/i18n";

export default {
  data() {
    return {
      locales: ["zh-TW", "en-US"]
    };
  },
  computed: {
    ...mapGetters("theme", ["themeClasses"]),

    year() {
      return moment().year();
    },

    locale: {
      get() {
        return this.$store.state.locale;
      },
      set(val) {
        changeLocale(val);

        this.$store.commit("setLocale", val);
      }
    }
  }
};
</script>

<style lang="scss" scoped>
#skm-footer {
  height: 110px;
  background-color: $color-genesis-white;

  &.theme-vip-member {
    background-color: $color-vip-black;
  }
}

.logo {
  font-size: 27px;
  display: flex;
  margin-bottom: 5px;

  &.theme-vip-member {
    color: $color-skm-gold;
  }
}

.copyright {
  font-size: 12px;
  color: $color-pigeon-grey;
  line-height: 1.25;

  &.theme-vip-member {
    color: $color-skm-gold;
  }
}

.locale-menu-mb {
  color: $color-primary-grey;
  margin-bottom: 8px;

  a {
    position: relative;
    user-select: none;
    cursor: pointer;
    display: inline-block;
    font-size: 14px;
    padding: 1px 0;

    text-align: center;
    transition: border-color ease 0.4s, color ease 0.4s;

    + a {
      margin-left: 16px;
    }

    &:before {
      pointer-events: none;
      content: "|";
      position: absolute;
      left: -10px;
      top: 0;
      color: $color-primary-grey;
    }

    &:first-child {
      &:before {
        display: none;
      }
    }

    &.is-active {
      border-color: $color-skm-red;
      color: $color-skm-red;
    }
  }

  &.theme-vip-member {
    a {
      &.is-active {
        color: $color-skm-gold;
      }
    }
  }
}
</style>
